Bug 97337 - Matching on language in fonts.conf
Matching on language in fonts.conf
Product: Red Hat Linux Beta
Classification: Retired
Component: fontconfig (Show other bugs)
alpha 2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Owen Taylor
: i18n
: 105898 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2003-06-13 05:47 EDT by Akira TAGOH
Modified: 2007-04-18 12:54 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-05-24 20:55:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Akira TAGOH 2003-06-13 05:47:16 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; ja-JP; rv:1.2.1) Gecko/20030225

Description of problem:
We've disabled using the bitmap font on CJK Desktop before. but the bitmap font
are used for the rendering on Japanese. of course it depends on which size the
font has, though. I'm not sure where it appeared since. at least I can see this
problem on Cambridge-re0612.2.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.choose the Japanese as the language on gdm
2.log in GNOME

Actual Results:  the bitmap font are used for the rendering

Expected Results:  the outline font should be used as well as other languages.

Additional info:
Comment 1 Owen Taylor 2003-07-03 17:32:45 EDT
This is:


I'll wait a bit for Keith to come up with a fix before tackling
it myself... it's a complicated portion of code that I don't
understand very well.

Comment 2 Leon Ho 2003-07-29 23:32:27 EDT
Look like other CJKs (I checked TC on Severn) are using hinting right now 
because of this bug. 
Comment 3 Owen Taylor 2003-10-15 11:27:14 EDT
I don't want to backport the fontconfig changes to the stable
version we are shipping because they are just too big and likely
to break stuff.

So, I took the simple route and just listed all the CJK fonts we
ship explicitely. I fixed this a while ago in our package CVS
repository and in the RHEL 3 beta packages, but it hasn't
been rebuilt yet in Cambridge because of some problems with
Perl include paths. I'm trying the another build now to see
if that's been fixed.

* Fri Sep 19 2003 Owen Taylor <otaylor@redhat.com> 2.2.1-5.0
- Tweak fonts.conf to get right hinting for CJK fonts (#97337)

Comment 4 Owen Taylor 2003-10-15 11:56:32 EDT
Now in the Cambridge tree; leaving open so that I remember to switch the 
fonts.conf back when we move to the next release of fontconfig.
Comment 5 John Thacker 2003-10-16 10:15:57 EDT
*** Bug 105898 has been marked as a duplicate of this bug. ***
Comment 6 Leon Ho 2003-10-23 02:34:48 EDT
Does the hinting for CJK we have in Cambridge is no longer like the hinting in 9 or 
Comment 7 Leon Ho 2003-10-23 03:44:34 EDT
Sorry false alarm. It was just my illusion :) 
Comment 8 Leon Ho 2003-12-09 20:49:41 EST
As you have mentioned, is it possible to build the latest fontconfig
into fc2 so that we can start testing it?
Comment 9 John Thacker 2003-12-10 00:57:29 EST
I built the latest fontconfig, 2.2.92, myself and have been using it
with no problems for quite a while on Fedora.  I think it's very
stable and worth using for the way it fixes this problem.
Comment 10 Jens Petersen 2004-04-06 23:49:50 EDT
The link in comment 1 is now
Comment 11 Leon Ho 2004-05-24 20:55:30 EDT
Rechecking the list and now it works fine. Closing the bug now.

Note You need to log in before you can comment on or make changes to this bug.